Package: groovy.org.codenarc.rule.design

## [Groovy] Class ConstantsOnlyInterfaceRule

- groovy.org.codenarc.rule.design.ConstantsOnlyInterfaceRule

- An interface should be used only to model a behaviour of a class: using an interface as a container of constants is a poor usage pattern.

  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority